"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }var __assign = Object.assign;

// src/injectHtml.ts
var _ejs = require('ejs');
function injectHtml(options = {}) {
  return {
    name: "vite:injectHtml",
    transformIndexHtml: {
      enforce: "pre",
      transform(html) {
        const {injectData = {}, injectOptions = {}, tags = []} = options;
        return {
          html: _ejs.render.call(void 0, html, injectData, injectOptions),
          tags
        };
      }
    }
  };
}

// src/minifyHtml.ts
var _htmlminifierterser = require('html-minifier-terser');
var _fsextra = require('fs-extra'); var _fsextra2 = _interopRequireDefault(_fsextra);
var _path = require('path'); var _path2 = _interopRequireDefault(_path);
var _vite = require('vite');
function minifyHtml(minifyOptions = true) {
  let config;
  return {
    name: "vite:minifyHtml",
    configResolved(resolvedConfig) {
      config = resolvedConfig;
    },
    async closeBundle() {
      if (!minifyOptions) {
        return;
      }
      const defaultMinifyOptions = __assign({
        collapseBooleanAttributes: true,
        collapseWhitespace: true,
        minifyCSS: true,
        minifyJS: true,
        minifyURLs: true,
        removeAttributeQuotes: true,
        removeComments: true,
        removeEmptyAttributes: true
      }, typeof minifyOptions === "boolean" ? {} : minifyOptions);
      const {root, build} = config;
      const {outDir} = build;
      const indexHtmlPath = _vite.normalizePath.call(void 0, _path2.default.resolve(root, outDir, "index.html"));
      if (!_fsextra2.default.existsSync(indexHtmlPath)) {
        console.log("no such file: " + indexHtmlPath);
        return;
      }
      let processHtml = _fsextra2.default.readFileSync(indexHtmlPath, "utf-8");
      processHtml = _htmlminifierterser.minify.call(void 0, processHtml, defaultMinifyOptions);
      _fsextra2.default.writeFileSync(indexHtmlPath, processHtml);
    }
  };
}

// src/index.ts
var src_default = (options = {}) => {
  const {inject = {}, minify: minify2 = {}} = options;
  return [injectHtml(inject), minifyHtml(minify2)];
};




exports.default = src_default; exports.injectHtml = injectHtml; exports.minifyHtml = minifyHtml;
